package autonomyic.polemicalic.congestionic

/**
 * 广告类型
 * 0=开屏广告、1=插屏广告、2=原生广告、3=Banner横幅广告
 */
@JvmInline
value class Resignationic private constructor(val value: Int) {
    companion object {
        val OPEN = Resignationic(0)
        val INSERT = Resignationic(1)
        val NATIVE = Resignationic(2)
        val BANNER = Resignationic(3)
        fun from(adsType: Int): Resignationic {
            return when (adsType) {
                OPEN.value -> OPEN
                INSERT.value -> INSERT
                NATIVE.value -> NATIVE
                else -> BANNER
            }
        }
    }
}